> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fnskutoasin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish Scan Task



## OpenAPI

````yaml post /v1/ScanTask/Finish
openapi: 3.0.0
info:
  title: ATO.BARCODE
  description: '<h4>Baseurl: <strong>https://ato.fnskutoasin.com</strong></h4>'
  version: 1.0.0
servers:
  - url: https://ato.fnskutoasin.com/api
security: []
paths:
  /v1/ScanTask/Finish:
    post:
      tags:
        - ScanTask
      summary: Finish Scan Task
      operationId: ScanTask_Finish
      parameters:
        - name: apiKey
          in: header
          schema:
            type: string
            nullable: true
          x-position: 1
      requestBody:
        x-name: command
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinnishScanTaskCommand'
        required: true
        x-position: 2
      responses:
        '200':
          description: Status 200 OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultOfLong'
components:
  schemas:
    FinnishScanTaskCommand:
      type: object
      additionalProperties: false
      properties:
        barCode:
          type: string
          nullable: true
        asin:
          type: string
          nullable: true
        workerId:
          type: string
          nullable: true
    ResultOfLong:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            data:
              type: integer
              format: int64
    Result:
      type: object
      additionalProperties: false
      properties:
        messages:
          type: array
          nullable: true
          items:
            type: string
        succeeded:
          type: boolean

````